Debian Bug report logs - #386800
apt should depend on debian-archive-keyring

version graph

Package: apt; Maintainer for apt is APT Development Team <deity@lists.debian.org>; Source for apt is src:apt.

Reported by: Alexander Schmehl <tolimar@debian.org>

Date: Sun, 10 Sep 2006 11:18:01 UTC

Severity: serious

Tags: patch

Found in version apt/0.6.45

Fixed in version apt/0.6.46.2

Done: Michael Vogt <mvo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#386800; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Alexander Schmehl <tolimar@debian.org>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Schmehl <tolimar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: apt should depend on debian-archive-keyring
Date: Sun, 10 Sep 2006 12:49:51 +0200
Package: apt
Version: 0.6.45
Severity: serious
Justification: vorlon told me, it would be serious ;)

Hi!

During dist-upgrades from Sarge to Etch, the debian-archive-keyring
package is not installed automatically (see recent discussion on
debian-release [1]).

This leaves the user with an Etch system, where apt tries to check the
release files signature, but is unable to do so, because neither gnupg
nor debian-archive-keyring (which would pull in gnupg) are installed.

So could you please Depend on debian-archive-keyring instead of
recommending it?  That would solve this upgrade issue.

Many thanks!
  Alexander


Links:
  1: http://lists.debian.org/debian-release/2006/09/msg00062.html

-- Package-specific info:

-- (no /etc/apt/preferences present) --


-- (/etc/apt/sources.list present, but not submitted) --


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-k7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages apt depends on:
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  libgcc1                      1:4.1.1-13  GCC support library
ii  libstdc++6                   4.1.1-13    The GNU Standard C++ Library v3

Versions of packages apt recommends:
ii  debian-archive-keyring        2006.01.18 GnuPG archive keys of the Debian a

-- no debconf information




Blocking bugs of 386800 added: 340350 Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#386800; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Hanspeter Kunz <hkunz@ailab.ch>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 386800@bugs.debian.org (full text, mbox):

From: Hanspeter Kunz <hkunz@ailab.ch>
To: 386800@bugs.debian.org
Subject: trivial patch (sorry for the noise)
Date: Sat, 07 Oct 2006 19:26:26 +0200
[Message part 1 (text/plain, inline)]
Hi,

attached is a patch. It was a trivial patch, I know. If the package
maintainers prefer to ignore it, please go ahead.

(The purpose of this whole exercise was to learn how to use the bug
tracking system, the packaging tools, pbuilder and so on...)

One thing you might want to consider though is the following:
debdiff produced a lot of noise (see attached diff)

According to the ominous phantom DD (who didn't want to be named :-)
this comes from the package not really cleaning up after itself.

***

cheers,
Hp. 
[apt_0.6.46.2.diff.gz (application/x-gzip, attachment)]

Tags added: patch Request was from Hanspeter Kunz <hkunz@ailab.ch> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Vogt <mvo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Alexander Schmehl <tolimar@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 386800-close@bugs.debian.org (full text, mbox):

From: Michael Vogt <mvo@debian.org>
To: 386800-close@bugs.debian.org
Subject: Bug#386800: fixed in apt 0.6.46.2
Date: Wed, 11 Oct 2006 00:32:07 -0700
Source: apt
Source-Version: 0.6.46.2

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

apt-doc_0.6.46.2_all.deb
  to pool/main/a/apt/apt-doc_0.6.46.2_all.deb
apt-utils_0.6.46.2_i386.deb
  to pool/main/a/apt/apt-utils_0.6.46.2_i386.deb
apt_0.6.46.2.dsc
  to pool/main/a/apt/apt_0.6.46.2.dsc
apt_0.6.46.2.tar.gz
  to pool/main/a/apt/apt_0.6.46.2.tar.gz
apt_0.6.46.2_i386.deb
  to pool/main/a/apt/apt_0.6.46.2_i386.deb
libapt-pkg-dev_0.6.46.2_i386.deb
  to pool/main/a/apt/libapt-pkg-dev_0.6.46.2_i386.deb
libapt-pkg-doc_0.6.46.2_all.deb
  to pool/main/a/apt/libapt-pkg-doc_0.6.46.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386800@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Vogt <mvo@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 11 Oct 2006 09:03:15 +0200
Source: apt
Binary: apt-utils libapt-pkg-doc libapt-pkg-dev apt-doc apt
Architecture: source all i386
Version: 0.6.46.2
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Michael Vogt <mvo@debian.org>
Description: 
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 386800 391064 391424 391424 391661 391661
Changes: 
 apt (0.6.46.2) unstable; urgency=low
 .
   * debian/control:
     - depend on debian-archive-keyring to offer clean upgrade path
       (closes: #386800)
   * Merged from Christian Perrier bzr branch:
     - es.po: Updated to 514t. Closes: #391661
     - da.po: Updated to 514t. Closes: #391424
     - cs.po: Updated. Closes: #391064
     - es.po: Updated to 514t. Closes: #391661
     - da.po: Updated to 514t. Closes: #391424
Files: 
 e6b572fcc1c11ed5affc6ce471b3c6d6 788 admin important apt_0.6.46.2.dsc
 67d439a252996357b0313b3ad999739a 1691248 admin important apt_0.6.46.2.tar.gz
 20bdfd87d531f79b89f2d8803d4792b9 89324 doc optional apt-doc_0.6.46.2_all.deb
 23f6797eac06416ae5d5c3e79db79bff 112670 doc optional libapt-pkg-doc_0.6.46.2_all.deb
 c875a4f6badeebb735e3e53ab710ad8b 1432682 admin important apt_0.6.46.2_i386.deb
 6e8bc6a10133f73796dadc3a42e5fa75 83390 libdevel optional libapt-pkg-dev_0.6.46.2_i386.deb
 9f386a5c9f80121b188418ee9b1bfb28 196852 admin important apt-utils_0.6.46.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFLJkcliSD4VZixzQRAisRAJ49eIWdg6h7nnpnJTprvnCOAGwnewCfVCz4
ngASRYiTya/WQOkZ9rL5zeQ=
=wU8l
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 07:58:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:28:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.